%define major		5
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary: 	Runtime Logging for C++
Name: 		rlog
Version: 	1.4
Release:	%mkrel 9
License:	LGPLv2+
Group:		Development/C++
Source:		http://rlog.googlecode.com/files/%{name}-%{version}.tar.gz
URL:		http://www.arg0.net/rlog

%description
RLog provides a flexible message logging facility for C++ programs and
libraries. It is designed to be fast enough to use in production code.

%package -n 	%{libname}
Summary:	Libraries for rlog
Group:		Development/C++

%description -n	%{libname}
Libraries for rlog.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for librlog1
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}rlog5-devel < 1.4-5

%description -n	%{libnamedev}
Header files and development libraries for librlog1.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%doc docs/html/
%doc docs/latex/*.pdf
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/librlog.pc


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.4-9.mga6
+ Revision: 945382
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-8.mga5
+ Revision: 751122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-7.mga5
+ Revision: 688679
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4-6.mga4
+ Revision: 532378
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 1.4-5.mga4
+ Revision: 468227
- remove major from devel pkg name
- clean .spec

* Mon Jan 14 2013 umeabot <umeabot> 1.4-4.mga3
+ Revision: 380357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.4-3.mga2
+ Revision: 127375
- imported package rlog


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-3mdv2011.0
+ Revision: 614709
- the mass rebuild of 2010.1 packages

* Sun Nov 29 2009 Jérôme Brenier <incubusss@mandriva.org> 1.4-2mdv2010.1
+ Revision: 471582
- obsolete old libs (major 1)

* Tue Nov 24 2009 Jérôme Brenier <incubusss@mandriva.org> 1.4-1mdv2010.1
+ Revision: 469713
- new version 1.4
- new major 5
- fix license tag / URL / Source
- fix files section
- $RPM_BUILD_ROOT -> %%{buildroot}

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3.7-2mdv2008.1
+ Revision: 140746
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import rlog


* Wed Jun 28 2006 Lev Givon <lev@mandriva.org> 1.3.7-2mdk
- Use mkrel, put docs in devel package

* Mon Jan 09 2006 Moreno Manzini <moreno.mg@gmail.com> 1.3.7-1mdk
- 1.3.7
- Fixed some specs bug

* Sun Jul 24 2005 Madman <madman@extenzilla.it> 1.3.6-3mdk
- Fixed issues in specfile.
* Mon Jun 27 2005 Madman <madman@extenzilla.it> 1.3.6-2mdk
- Fixed issues in specfile.
* Thu Jun 23 2005 Madman <madman@extenzilla.it> 1.3.6-1mdk
- First release for Mandriva 2006 Cooker.
